Skip to content
POST

Acknowledge a Kustom checkout order

https://api.kustom.co/ordermanagement/v1/orders/{order_id}/acknowledge

Acknowledge order. Read more on Acknowledging orders

Parameters2 fields
  • order_idstring · uuidrequiredin path

    Order id

  • Klarna-Idempotency-Keystringoptionalin header

    This header will guarantee the idempotency of the operation. The key should be unique and is recommended to be a UUID version 4. Retries of requests are safe to be applied in case of errors such as network errors, socket errors and timeouts. Input values of the operation are disregarded when evaluating the idempotency of the operation, only the key matters.

204
Response0 fields

Order was acknowledged.

No response body — this status returns headers only.

403
Response3 fields

Update not allowed.

  • correlation_idstringoptional

    Correlation id. For searching logs.

  • error_codestringoptional

    Error code

  • error_messages[]array<string>optional

    Error messages

404
Response3 fields

Order not found.

  • correlation_idstringoptional

    Correlation id. For searching logs.

  • error_codestringoptional

    Error code

  • error_messages[]array<string>optional

    Error messages

409
Response0 fields

Conflict

No response body — this status returns headers only.

Errors

CodeStatusWhat it meansRetry
NO_SUCH_ORDER404The order_id does not exist, or belongs to the other environment.Never retry

This page is also available as Markdown — append .md to its URL — and is indexed in llms.txt.